# GNUmakefile          Section: 5.7, The Rolling Ball Algorithm
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

# NOTE: The development of this algorithm is not complete at this
#      time, do not include it in the library.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_
CLOSUREOBJS       = closure-rolling-ball

HEADERS = rolling-ball.h
LOBJS   =

SOURCES	= rolling-ball.h rolling-ball.c \
	  test-rolling-ball.c  closure-rolling-ball.c 
TESTS	= test-rolling-ball

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

rb.srcs:	rolling-ball.h rolling-ball.c

ifeq (${LIBTEST},)

rolling-ball.o:	rb.srcs

closure-rolling-ball.o:	closure-rolling-ball.c  rb.srcs

test-rolling-ball.o:	test-rolling-ball.c  rb.srcs

test-rolling-ball:	test-rolling-ball.o rolling-ball.o
	${LINK.cc} -o $@ $@.o rolling-ball.o ${LDLIBS}
	strip $@

closure-rolling-ball:	closure-rolling-ball.o rolling-ball.o
	${LINK.cc} -o $@ $@.o rolling-ball.o ${LDLIBS}
	strip $@

else
closure-rolling-ball:	closure-rolling-ball.c  rb.srcs

test-rolling-ball:	test-rolling-ball.c  rb.srcs
endif
